<?php
	register_nav_menus(
		array(
			'ci_main_menu'   => __( 'Main Menu', 'ci_theme' ),
			'ci_footer_menu' => __( 'Footer Menu', 'ci_theme' )
		)
	);

	//Highlight current menu item
	add_filter( 'nav_menu_css_class', 'ci_theme_main_menu_item_classes', 10, 2 );
	if( !function_exists('ci_theme_main_menu_item_classes') ):
	function ci_theme_main_menu_item_classes( $classes, $item ) {

		if ( 'page' == get_option( 'show_on_front' ) ) {
			$blog_url = get_permalink( (int) get_option( 'page_for_posts' ) );
		} else {
			$blog_url = home_url();
		}

		$post_types = array( 'cpt_portfolio', 'cpt_service', 'cpt_feature', 'cpt_partner', 'cpt_team' );

		$post_type = get_query_var( 'post_type' );

		if( in_array( $post_type, $post_types ) ) {
			if ( $item->url == $blog_url ) {
				$classes = array_diff( $classes, array( 'current_page_parent' ) );
			}
			if( 'post_type' == $item->type &&  'page' == $item->object ) {
				$template = get_post_meta( $item->object_id, '_wp_page_template', true );
				if( 'template-listing-' . $post_type . '.php' == $template ) {
					$classes[] = 'current_page_parent';
				}
			}
		}

		return $classes;
	}
	endif;
?>