<?php
//
// Slider Post Type related functions.
//
add_action( 'init', 'ci_create_cpt_slider' );
add_action( 'admin_init', 'ci_add_cpt_slider_meta' );
add_action( 'save_post', 'ci_update_cpt_slider_meta' );

if ( ! function_exists( 'ci_create_cpt_slider' ) ) :
function ci_create_cpt_slider() {
	$labels = array(
		'name'               => _x( 'Slideshow', 'post type general name', 'ci_theme' ),
		'singular_name'      => _x( 'Slide', 'post type singular name', 'ci_theme' ),
		'add_new'            => __( 'Add New', 'ci_theme' ),
		'add_new_item'       => __( 'Add New Slide', 'ci_theme' ),
		'edit_item'          => __( 'Edit Slide', 'ci_theme' ),
		'new_item'           => __( 'New Slide', 'ci_theme' ),
		'view_item'          => __( 'View Slide', 'ci_theme' ),
		'search_items'       => __( 'Search Slides', 'ci_theme' ),
		'not_found'          => __( 'No Slides found', 'ci_theme' ),
		'not_found_in_trash' => __( 'No Slides found in the trash', 'ci_theme' ),
		'parent_item_colon'  => ''
	);

	$args = array(
		'labels'          => $labels,
		'singular_label'  => __( 'Slide', 'ci_theme' ),
		'public'          => true,
		'show_ui'         => true,
		'capability_type' => 'post',
		'hierarchical'    => false,
		'has_archive'     => false,
		'rewrite'         => array( 'slug' => _x( 'slideshow', 'post type slug', 'ci_theme' ) ),
		'menu_position'   => 5,
		'supports'        => array( 'title', 'editor', 'thumbnail' ),
		'menu_icon'       => 'dashicons-image-flip-horizontal'
	);

	register_post_type( 'cpt_slider' , $args );
}
endif;

if ( ! function_exists('ci_add_cpt_slider_meta') ) :
function ci_add_cpt_slider_meta() {
	add_meta_box('ci_cpt_slider_meta', __('Slider Details', 'ci_theme'), 'ci_add_cpt_slider_meta_box', 'cpt_slider', 'normal', 'high');
}
endif;

if ( ! function_exists( 'ci_update_cpt_slider_meta' ) ):
function ci_update_cpt_slider_meta( $post_id )	{
	if ( ! ci_can_save_meta('cpt_slider') ) return;

	update_post_meta( $post_id, 'ci_cpt_slider_button', sanitize_text_field( $_POST[ 'ci_cpt_slider_button' ] ) );
	update_post_meta( $post_id, 'ci_cpt_slider_url', esc_url_raw( $_POST[ 'ci_cpt_slider_url' ] ) );
	update_post_meta( $post_id, 'ci_cpt_slider_video_url', esc_url_raw( $_POST[ 'ci_cpt_slider_video_url' ] ) );
}
endif;

if ( ! function_exists( 'ci_add_cpt_slider_meta_box' ) ) :
function ci_add_cpt_slider_meta_box() {
	ci_prepare_metabox( 'cpt_slider' );

	?><p><?php _e('Enter the button text and a URL that this slide will link to. If you leave any of those two empty, then no button will be displayed.', 'ci_theme'); ?></p><?php
	ci_metabox_input( 'ci_cpt_slider_button', __( 'Button text:', 'ci_theme' ), array( 'default' => __('Read more', 'ci_theme') ) );
	ci_metabox_input( 'ci_cpt_slider_url', __( 'The URL this slide will link to:', 'ci_theme' ) );

	?><p><?php echo sprintf(__('In the following box, you can simply enter the URL of a supported website\'s video. It needs to start with <strong>http://</strong> or <strong>https://</strong> (E.g. <em>%1$s</em>). A list of supported websites can be <a href="%2$s">found here</a>.', 'ci_theme'), 'https://www.youtube.com/watch?v=4Z9WVZddH9w', 'https://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F'); ?></p><?php
	?><p><?php _e('When a video is shown, no text appears in the slide (e.g. title, content, button).', 'ci_theme'); ?></p><?php
	ci_metabox_input( 'ci_cpt_slider_video_url', __( 'Video URL:', 'ci_theme' ) );

}
endif;

?>