<?php
//
// Testimonial Post Type related functions.
//
add_action( 'init', 'ci_create_cpt_testimonial' );
add_action( 'admin_init', 'ci_add_cpt_testimonial_meta' );
add_action( 'save_post', 'ci_update_cpt_testimonial_meta' );

if ( ! function_exists( 'ci_create_cpt_testimonial' ) ) :
function ci_create_cpt_testimonial() {
	$labels = array(
		'name'               => _x( 'Testimonials', 'post type general name', 'ci_theme' ),
		'singular_name'      => _x( 'Testimonial', 'post type singular name', 'ci_theme' ),
		'add_new'            => __( 'Add New', 'ci_theme' ),
		'add_new_item'       => __( 'Add New Testimonial', 'ci_theme' ),
		'edit_item'          => __( 'Edit Testimonial', 'ci_theme' ),
		'new_item'           => __( 'New Testimonial', 'ci_theme' ),
		'view_item'          => __( 'View Testimonial', 'ci_theme' ),
		'search_items'       => __( 'Search Testimonials', 'ci_theme' ),
		'not_found'          => __( 'No Testimonials found', 'ci_theme' ),
		'not_found_in_trash' => __( 'No Testimonials found in the trash', 'ci_theme' ),
		'parent_item_colon'  => ''
	);

	$args = array(
		'labels'          => $labels,
		'singular_label'  => __( 'Testimonial', 'ci_theme' ),
		'public'          => false,
		'show_ui'         => true,
		'capability_type' => 'post',
		'hierarchical'    => false,
		'has_archive'     => false,
		'rewrite'         => array( 'slug' => _x( 'testimonial', 'post type slug', 'ci_theme' ) ),
		'menu_position'   => 5,
		'supports'        => array( 'title', 'editor', 'thumbnail' ),
		'menu_icon'       => 'dashicons-format-quote'
	);

	// 'supports' => array('title', 'editor', 'author', 'thumbnail', 'excerpt', 'trackbacks', 'custom-fields', 'comments', 'revisions', 'page-attributes', 'post-formats')

	register_post_type( 'cpt_testimonial' , $args );
}
endif;

if ( ! function_exists('ci_add_cpt_testimonial_meta') ) :
function ci_add_cpt_testimonial_meta() {
	add_meta_box('ci_cpt_testimonial_meta', __('Testimonial Details', 'ci_theme'), 'ci_add_cpt_testimonial_meta_box', 'cpt_testimonial', 'normal', 'high');
}
endif;

if ( ! function_exists( 'ci_update_cpt_testimonial_meta' ) ):
function ci_update_cpt_testimonial_meta( $post_id )	{
	if ( ! ci_can_save_meta('cpt_testimonial') ) return;

	update_post_meta( $post_id, 'ci_cpt_testimonial_byline', sanitize_text_field( $_POST[ 'ci_cpt_testimonial_byline' ] ) );
}
endif;

if ( ! function_exists( 'ci_add_cpt_testimonial_meta_box' ) ) :
function ci_add_cpt_testimonial_meta_box() {
	ci_prepare_metabox( 'cpt_testimonial' );

	?><label for="title"><?php _e('Use the main title, to denote who made the testimonial.', 'ci_theme'); ?></label>
	<p><?php _e('Please, also upload a <strong>featured image</strong> which will be used as an avatar. The image will be cropped and rescaled to 130x130px.', 'ci_theme'); ?></p><?php

	ci_metabox_input( 'ci_cpt_testimonial_byline', __('Enter a byline for this testimonial, e.g. the title of the quoted person.', 'ci_theme' ) );

}
endif;

?>