<?php
add_action( 'widgets_init', 'ci_widgets_init' );
if ( !function_exists('ci_widgets_init') ) :
	function ci_widgets_init() {

		register_sidebar( array(
			'name'          => __( 'Blog Sidebar', 'ci_theme' ),
			'id'            => 'blog-sidebar',
			'description'   => __( 'Widgets placed in this sidebar will appear in the blog pages.', 'ci_theme' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		register_sidebar( array(
			'name'          => __( 'Pages Sidebar', 'ci_theme' ),
			'id'            => 'page-sidebar',
			'description'   => __( 'Widgets placed in this sidebar will appear in the static pages.', 'ci_theme' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		register_sidebar( array(
			'name'          => __( 'Header Top Right Sidebar', 'ci_theme' ),
			'id'            => 'header-sidebar',
			'description'   => sprintf( __( 'This widget area is reserved for the Socials Ignited plugin (displays social networks) and appears in the top right section of your header. You need to download the Socials Ignited plugin from %s', 'ci_theme' ), 'https://wordpress.org/extend/plugins/socials-ignited/' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		register_sidebar( array(
			'name'          => __( 'Front Page Widgets', 'ci_theme' ),
			'id'            => 'frontpage-widgets',
			'description'   => __( 'This is the main front page widget area. Assign widgets here to create your front page.', 'ci_theme' ),
			'before_widget' => '<section id="%1$s" class="widget group %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<div class="col-xs-12"><h2 class="section-title">',
			'after_title'   => '</h2></div>'
		) );

		register_sidebar( array(
			'name'          => __( 'Fullwidth Inner Page Widgets', 'ci_theme' ),
			'id'            => 'bottom-widgets',
			'description'   => __( 'This fullwidth widget area appears at the bottom of all your inner pages below the main content and behaves exactly like the frontpage widget area.', 'ci_theme' ),
			'before_widget' => '<section id="%1$s" class="widget group %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<div class="col-xs-12"><h2 class="section-title">',
			'after_title'   => '</h2></div>'
		) );

		register_sidebar( array(
			'name'          => __( 'Contact Sidebar', 'ci_theme' ),
			'id'            => 'contact-sidebar',
			'description'   => __( 'Widgets placed in this sidebar will appear in the contact page and contact section of the homepage if enabled.', 'ci_theme' ),
			'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>'
		) );

		if ( woocommerce_enabled() ) {
			register_sidebar( array(
				'name'          => __( 'Eshop Sidebar', 'ci_theme' ),
				'id'            => 'eshop-sidebar',
				'description'   => __( 'Widgets placed in this sidebar will appear on your e-shop pages.', 'ci_theme' ),
				'before_widget' => '<aside id="%1$s" class="widget %2$s group">',
				'after_widget'  => '</aside>',
				'before_title'  => '<h3 class="widget-title">',
				'after_title'   => '</h3>'
			) );
		}

	}
endif;
?>