<?php global $ci, $ci_defaults, $load_defaults, $content_width; ?>
<?php if ($load_defaults===TRUE): ?>
<?php
	add_filter('ci_panel_tabs', 'ci_add_tab_display_options', 40);
	if( !function_exists('ci_add_tab_display_options') ):
		function ci_add_tab_display_options($tabs)
		{
			$tabs[sanitize_key(basename(__FILE__, '.php'))] = __('Display Options', 'ci_theme');
			return $tabs;
		}
	endif;

	// Default values for options go here.
	// $ci_defaults['option_name'] = 'default_value';
	// or
	// load_panel_snippet( 'snippet_name' );
	load_panel_snippet('pagination');
	load_panel_snippet('excerpt');
	load_panel_snippet('comments');
	load_panel_snippet('featured_image_single');

	// Set our full width template width and options.
	add_filter('ci_full_template_width', 'ci_fullwidth_width');
	if( !function_exists('ci_fullwidth_width') ):
	function ci_fullwidth_width() {
		return 1140;
	}
	endif;
	load_panel_snippet('featured_image_fullwidth');

	add_filter('ci-read-more-link', 'ci_theme_readmore', 10, 3);
	if( !function_exists( 'ci_theme_readmore' ) ):
	function ci_theme_readmore( $html, $text, $link ) {
		return '<a class="btn btn-sm btn-tag" href="' . $link . '">' . $text . '</a>';
	}
	endif;

	$ci_defaults['enable_author_info']       = 'on';
	$ci_defaults['related_posts_enable']     = 'on';
	$ci_defaults['related_portfolio_enable'] = 'on';
	$ci_defaults['related_posts_text']       = __( 'Related Articles', 'ci_theme' );
	$ci_defaults['related_portfolio_text']   = __( 'Similar Projects', 'ci_theme' );

?>
<?php else: ?>

	<?php load_panel_snippet('pagination'); ?>

	<?php load_panel_snippet('excerpt'); ?>

	<fieldset class="set">
		<legend><?php _e( 'Related posts', 'ci_theme' ); ?></legend>
		<p class="guide"><?php _e( 'You can show / hide the related posts sections that appear beneath blog posts and portfolio items.', 'ci_theme' ); ?></p>

		<fieldset class="mb10">
			<?php
				ci_panel_checkbox( 'related_posts_enable', 'on', __( 'Show related posts.', 'ci_theme' ) );
				ci_panel_input( 'related_posts_text', __( 'Related posts text:', 'ci_theme' ) );
			?>
		</fieldset>
		<fieldset>
			<?php
				ci_panel_checkbox( 'related_portfolio_enable', 'on', __( 'Show related portfolio items.', 'ci_theme' ) );
				ci_panel_input( 'related_portfolio_text', __( 'Related portfolio text:', 'ci_theme' ) );
			?>
		</fieldset>
	</fieldset>

	<fieldset class="set">
		<legend><?php _e( 'Blog Authors', 'ci_theme' ); ?></legend>
		<p class="guide"><?php _e( 'You can show / hide the author info box that appears underneath every blog post.', 'ci_theme' ); ?></p>
		<?php ci_panel_checkbox( 'enable_author_info', 'on', __( 'Show Author Info Box', 'ci_theme' ) ); ?>
	</fieldset>

	<?php load_panel_snippet('comments'); ?>

	<?php load_panel_snippet('featured_image_single'); ?>

	<?php load_panel_snippet('featured_image_fullwidth'); ?>

<?php endif; ?>
