<?php global $ci, $ci_defaults, $load_defaults, $content_width; ?>
<?php if ($load_defaults===TRUE): ?>
<?php
	add_filter('ci_panel_tabs', 'ci_add_tab_titles_options', 50);
	if( !function_exists('ci_add_tab_titles_options') ):
		function ci_add_tab_titles_options($tabs)
		{
			$tabs[sanitize_key(basename(__FILE__, '.php'))] = __('Section/Button titles', 'ci_theme');
			return $tabs;
		}
	endif;

	// Default values for options go here.
	// $ci_defaults['option_name'] = 'default_value';
	// or
	// load_panel_snippet( 'snippet_name' );
	$ci_defaults['title_blog']      = _x( 'From the blog', 'section title', 'ci_theme' );
	$ci_defaults['title_portfolio'] = _x( 'Portfolio', 'section title', 'ci_theme' );
	$ci_defaults['title_partner']   = _x( 'Partners', 'section title', 'ci_theme' );
	$ci_defaults['title_feature']   = _x( 'Features', 'section title', 'ci_theme' );
	$ci_defaults['title_service']   = _x( 'Services', 'section title', 'ci_theme' );
	$ci_defaults['title_team']      = _x( 'Team Members', 'section title', 'ci_theme' );

	$ci_defaults['read_more_text_cpt_portfolio'] = _x( 'Learn more', 'button wording', 'ci_theme' );
	$ci_defaults['read_more_text_cpt_partner']   = _x( 'Learn more', 'button wording', 'ci_theme' );
	$ci_defaults['read_more_text_cpt_feature']   = _x( 'Learn more', 'button wording', 'ci_theme' );
	$ci_defaults['read_more_text_cpt_service']   = _x( 'Learn more', 'button wording', 'ci_theme' );
	$ci_defaults['read_more_text_cpt_team']      = _x( 'Learn more', 'button wording', 'ci_theme' );
	$ci_defaults['read_more_text_product']       = _x( 'Buy Now', 'button wording', 'ci_theme' );

?>
<?php else: ?>

	<fieldset class="set">
		<legend><?php _e( 'Section titles', 'ci_theme' ); ?></legend>
		<p class="guide"><?php _e( 'Set the titles for the various sections of your website. These titles appear on top of listing pages and/or single posts, depending on the post type.', 'ci_theme' ); ?></p>
		<?php
			ci_panel_input( 'title_blog', __( 'Blog section title:', 'ci_theme' ) );
			ci_panel_input( 'title_portfolio', __( 'Portfolio section title:', 'ci_theme' ) );
			ci_panel_input( 'title_partner', __( 'Partners section title:', 'ci_theme' ) );
			ci_panel_input( 'title_feature', __( 'Features section title:', 'ci_theme' ) );
			ci_panel_input( 'title_service', __( 'Services section title:', 'ci_theme' ) );
			ci_panel_input( 'title_team', __( 'Team section title:', 'ci_theme' ) );
		?>
	</fieldset>

	<fieldset class="set">
		<legend><?php _e( 'Button wording', 'ci_theme' ); ?></legend>
		<p class="guide"><?php _e( 'Set the button wording, depending on the post type. These buttons appear on listing pages and on widgets.', 'ci_theme' ); ?></p>
		<?php
			ci_panel_input( 'read_more_text_cpt_portfolio', __( "Portfolios' button text:", 'ci_theme' ) );
			ci_panel_input( 'read_more_text_cpt_partner', __( "Partners' button text:", 'ci_theme' ) );
			ci_panel_input( 'read_more_text_cpt_feature', __( "Features' button text:", 'ci_theme' ) );
			ci_panel_input( 'read_more_text_cpt_service', __( "Services' button text:", 'ci_theme' ) );
			ci_panel_input( 'read_more_text_cpt_team', __( "Team members' button text:", 'ci_theme' ) );
			ci_panel_input( 'read_more_text_product', __( "Products' button text (requires WooCommerce):", 'ci_theme' ) );
		?>
	</fieldset>

<?php endif; ?>