<!doctype html>
<!--[if IE 8]> <html class="no-js lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>

<div id="page">
	<div id="mobile-bar">
		<a class="menu-trigger" href="#mobilemenu"><i class="fa fa-bars"></i></a>
		<p class="mob-title"><?php bloginfo( 'name' ); ?></p>
	</div>

	<div class="pre-head">
		<div class="container">
			<div class="row">
				<div class="col-sm-6">
					<span class="header-callout"><?php ci_e_setting( 'header_message' ); ?></span>
				</div>

				<?php if ( is_active_sidebar( 'header-sidebar' ) OR woocommerce_enabled() ) : ?>
					<div class="col-sm-6 side-head">
						<?php dynamic_sidebar( 'header-sidebar' ); ?>

						<?php if ( woocommerce_enabled() ) : ?>
							<div class="cart-head">
								<span><?php _e( 'Shopping Cart', 'ci_theme' ); ?>: <?php echo WC()->cart->get_cart_total(); ?></span>
								<a href="<?php echo esc_url( wc_get_cart_url() ); ?>"><?php echo sprintf( _n( '%d item', '%d items', WC()->cart->get_cart_contents_count(), 'ci_theme' ), WC()->cart->get_cart_contents_count() ); ?></a>
							</div>
						<?php endif; // woocommerce_enabled() ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>

	<?php
		if ( is_page_template('template-frontpage.php') ) {
			get_template_part('part', 'home-slider');
		}
	?>

	<header class="header">
		<div class="container">
			<div class="row">
				<div class="col-sm-4">
					<?php ci_e_logo( '<div class="site-logo ' . get_logo_class() . '">', '</div>' ); ?>
					<?php ci_e_slogan( '<span class="site-tagline">', '</span>' ); ?>
				</div>

				<div class="col-sm-8">
					<nav id="nav">
						<?php wp_nav_menu( array(
							'theme_location' => 'ci_main_menu',
							'fallback_cb'    => '',
							'container'      => '',
							'menu_id'        => 'navigation',
							'menu_class'     => 'group'
						) ); ?>
					</nav>
					<div id="mobilemenu"></div>
				</div>
			</div>
		</div>
	</header>