<?php get_header(); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-md-8">
				<?php get_template_part( 'inc_section_titles' ); ?>

				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
					<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry') ; ?>>
						<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

						<div class="entry-meta">
							<time datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php echo get_the_date(); ?></time> &bull; <?php the_author(); ?> &bull; <?php the_category( ', ' ); ?>
						</div>

						<?php if ( has_post_thumbnail() ) : ?>
							<figure class="entry-thumb">
								<a href="<?php the_permalink(); ?>">
									<?php the_post_thumbnail(); ?>
								</a>
							</figure>
						<?php endif; ?>

						<div class="entry-content">
							<?php ci_e_content(); ?>
						</div>

						<?php ci_read_more(); ?>
					</article>
				<?php endwhile; endif; ?>

				<?php ci_pagination(); ?>
			</div>

			<div class="col-md-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>