<?php global $ci, $ci_defaults, $load_defaults, $content_width; ?>
<?php if ( true === $load_defaults ) : ?>
<?php
add_filter( 'ci_show_generator_tag', '__return_false' );
	$ci_defaults['ci_show_generator_tag']       = 'on';
	$ci_defaults['ci_block_widgets_is_enabled'] = '';

	add_filter( 'ci_theme_sanitize_panel_options', 'ci_theme_panel_sanitize_snippet_site_other', 10, 2 );
	function ci_theme_panel_sanitize_snippet_site_other( $values, $defaults ) {
		$values['ci_show_generator_tag']       = 'on' === $values['ci_show_generator_tag'] ? 'on' : '';
		$values['ci_block_widgets_is_enabled'] = 'on' === $values['ci_block_widgets_is_enabled'] ? 'on' : '';

		return $values;
	}

	add_action( 'after_setup_theme', 'ci_theme_after_setup_theme_site_other' );
	function ci_theme_after_setup_theme_site_other() {
		if ( 'on' !== ci_setting( 'ci_block_widgets_is_enabled' ) ) {
			remove_theme_support( 'widgets-block-editor' );
		}
	}
?>
<?php else : ?>

	<fieldset id="ci-panel-site-other" class="set">
		<legend><?php esc_html_e( 'Other options', 'ci_theme' ); ?></legend>
			<?php ci_panel_checkbox( 'ci_block_widgets_is_enabled', 'on', __( 'Enable Block Widgets support.', 'ci_theme' ) ); ?>

		<?php if ( ! CI_WHITELABEL && apply_filters( 'ci_show_generator_tag', true ) ) : ?>
			<p class="guide"><?php esc_html_e( "The Meta Generator tag is a piece of information added in the head of the generated HTML code that states the theme name and the developer of the theme. While it is not visible to your site's visitors, it does help us gather usage statistics.", 'ci_theme' ); ?></p>
			<?php ci_panel_checkbox( 'ci_show_generator_tag', 'on', __( 'Echo a Meta Generator tag (invisible in the website).', 'ci_theme' ) ); ?>
		<?php endif; ?>
	</fieldset>

<?php endif;
