<?php
	$slides = new WP_Query( array(
		'post_type'      => 'cpt_slider',
		'posts_per_page' => -1
	) );
?>

<?php if ( $slides->have_posts() ) : ?>
	<div class="home-slider flexslider loading">
		<ul class="slides">
			<?php while ( $slides->have_posts() ) : $slides->the_post(); ?>
				<?php $video_url = esc_url( get_post_meta( $post->ID, 'ci_cpt_slider_video_url', true ) ); ?>
				<li style="background:url('<?php echo ci_get_featured_image_src( 'ci_slider_full' ); ?>' ) no-repeat top center">
					<div class="container">
						<div class="row">
						<?php if ( ! empty ( $video_url ) ) : ?>
							<div class="col-md-10 col-md-offset-1">
								<div class="slide-video-wrap">
									<?php echo wp_oembed_get( $video_url, array( 'height' => 390 ) ); ?>
								</div>
							</div>
						<?php else : ?>
							<div class="col-lg-8 col-md-10 col-xs-12">
								<div class="slide-content">
									<h3 class="slide-title"><?php the_title(); ?></h3>
									<?php the_content(); ?>

									<?php
										$slide_url = get_post_meta( $post->ID, 'ci_cpt_slider_url', true );
										$slide_button = get_post_meta( $post->ID, 'ci_cpt_slider_button', true );
									?>
									<?php if ( ! empty( $slide_url ) && ! empty( $slide_button ) ) : ?>
										<a class="btn btn-slider btn-tag" href="<?php echo esc_url( $slide_url ); ?>"><?php echo $slide_button; ?></a>
									<?php endif; ?>
								</div>
							</div>
						<?php endif; ?>
						</div>
					</div>
				</li>
			<?php endwhile; ?>
		</ul>
	</div>
<?php endif; wp_reset_postdata(); ?>