<?php get_header(); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-xs-12">
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
					<article <?php post_class('entry'); ?>>
						<div class="row">

							<div class="col-xs-12">
								<?php get_template_part( 'inc_section_titles' ); ?>
							</div>

							<div class="col-md-4 col-sm-5 col-md-push-8 col-sm-push-7">
								<div class="entry-content">
									<?php the_content(); ?>

									<?php $fields = get_post_meta( $post->ID, "ci_cpt_portfolio_project_fields", true ); ?>
									<?php if( !empty( $fields ) ): ?>
										<table class="portfolio-meta">
											<tbody>
												<?php foreach( $fields as $field ): ?>
													<tr>
														<th scope="row"><?php echo !empty( $field['title'] ) ? $field['title'] : '&nbsp;'; ?></th>
														<td><?php echo make_clickable( $field['description'] ); ?></td>
													</tr>
												<?php endforeach; ?>
											</tbody>
										</table>
									<?php endif; ?>
								</div>
							</div>

							<div class="col-md-8 col-sm-7 col-md-pull-4 col-sm-pull-5">
								<?php
									$video_url = get_post_meta( get_the_ID(), 'ci_cpt_video_url', true );
									$template  = get_post_meta( get_the_ID(), 'ci_cpt_portfolio_template', true );
								?>
								<?php if ( !empty( $video_url ) ) : ?>
									<figure class="entry-thumb">
										<div class="video-hold">
											<?php echo wp_oembed_get(esc_url($video_url)); ?>
										</div>
									</figure>
								<?php endif; ?>

								<?php $images = ci_featgal_get_attachments(); ?>
								<?php if ( $template == 'standard-flex' ) : ?>
									<figure class="entry-thumb">
										<div class="portfolio-slider flexslider">
											<ul class="slides">
												<?php while ( $images->have_posts() ) : $images->the_post(); ?>
													<li><a href="<?php echo ci_get_image_src($post->ID, 'large'); ?>" data-rel="prettyPhoto[pp_gal]">
														<?php $attachment = wp_prepare_attachment_for_js($post->ID); ?>
														<img src="<?php echo ci_get_image_src($post->ID, 'post-thumbnail'); ?>" alt="<?php echo esc_attr($attachment['alt']); ?>">
													</a></li>
												<?php endwhile; ?>
											</ul>
										</div>
									</figure>
								<?php else : ?>
									<figure class="entry-thumb image-list">
										<?php while ( $images->have_posts() ) : $images->the_post(); ?>
											<a href="<?php echo ci_get_image_src($post->ID, 'large'); ?>" data-rel="prettyPhoto[pp_gal]">
												<?php $attachment = wp_prepare_attachment_for_js($post->ID); ?>
												<img src="<?php echo ci_get_image_src($post->ID, 'ci_thumb_uncropped'); ?>" alt="<?php echo esc_attr($attachment['alt']); ?>">
											</a>
										<?php endwhile; ?>
									</figure>
								<?php endif; wp_reset_postdata(); ?>
							</div>
						</div>
					</article>

					<?php if ( ci_setting( 'related_portfolio_enable' ) == 'on' ) : ?>
						<?php $related = ci_get_related_posts( get_the_ID(), 3 ); ?>
						<?php if ( $related->have_posts() ) : ?>
							<section class="related">
								<h2 class="section-title"><?php ci_e_setting( 'related_portfolio_text' ); ?></h2>

								<div class="row">
									<?php while ( $related->have_posts() ) : $related->the_post(); ?>
										<div class="col-sm-4">
											<?php get_template_part( 'listing', get_post_type() ); ?>
										</div>
									<?php endwhile; ?>
								</div>
							</section>
						<?php endif; wp_reset_postdata(); ?>
					<?php endif; // 'related_portfolio_enable' ?>

				<?php endwhile; endif; ?>
			</div>

		</div>
	</div>
</main>

<?php get_footer(); ?>