<?php get_header(); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-md-8">
				<?php get_template_part( 'inc_section_titles' ); ?>

				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
					<?php
						$current_ID = get_the_ID();
						$fi_layout  = get_post_meta( get_the_ID(), 'ci_cpt_featured_position', true );

						$thumb_class = $fi_layout == 'top' ? 'entry-thumb' : 'entry-thumb-content-'.$fi_layout;
						$thumb_size = $fi_layout == 'top' ? 'post-thumbnail' : 'thumbnail';
					?>
					<article id="entry-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
						<h1 class="entry-title"><?php the_title(); ?></h1>

						<?php if ( has_post_thumbnail() ) : ?>
							<figure class="<?php echo $thumb_class; ?>">
								<a href="<?php echo ci_get_featured_image_src('large'); ?>" data-rel="prettyPhoto">
									<?php the_post_thumbnail( $thumb_size ); ?>
								</a>
							</figure>
						<?php endif; ?>

						<div class="entry-content">
							<?php the_content(); ?>
						</div>
					</article>
				<?php endwhile; endif; ?>
			</div>

			<div class="col-md-4">
				<div class="sidebar">
					<?php
						$args = array(
							'post_type'      => 'cpt_service',
							'posts_per_page' => -1
						);
						$q = new WP_Query( $args );
					?>
					<?php if ( $q->have_posts() ) : ?>
						<ul class="item-nav">
							<?php while ( $q->have_posts() ) : $q->the_post(); ?>
								<li>
									<a <?php echo ( get_the_ID() == $current_ID ? 'class="active"' : '' ); ?> href="<?php the_permalink(); ?>">
										<?php
											$icon = get_post_meta( get_the_ID(), 'ci_cpt_icon', true );
											if ( !empty( $icon ) ) {
												echo '<i class="fa ' . esc_attr( $icon ) . '"></i>';
											}
										?>
										<?php the_title(); ?>
									</a>
								</li>
							<?php endwhile; ?>
						</ul>
					<?php endif; wp_reset_postdata(); ?>
				</div>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>