<?php get_header(); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-md-8">
				<?php get_template_part( 'inc_section_titles' ); ?>

				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
					<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry') ; ?>>
						<h1 class="entry-title"><?php the_title(); ?></h1>

						<div class="entry-meta">
							<time datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>"><?php the_date(); ?></time> &bull; <?php the_author(); ?> &bull; <?php the_category( ', ' ); ?>
						</div>

						<?php if ( ci_has_image_to_show() ) : ?>
							<figure class="entry-thumb">
								<a data-rel="prettyPhoto" href="<?php echo ci_get_featured_image_src('large'); ?>">
									<?php ci_the_post_thumbnail(); ?>
								</a>
							</figure>
						<?php endif; ?>

						<div class="entry-content">
							<?php the_content(); ?>
							<?php wp_link_pages(); ?>
						</div>

						<?php if ( ci_setting( 'enable_author_info' ) == 'on' && get_the_author_meta( 'description' ) ) : ?>
							<div class="author-info">
								<figure class="author-avatar">
									<?php echo get_avatar( get_the_author_meta( 'ID' ), 80 ); ?>
								</figure>

								<div class="author-content">
									<h5><?php _e( 'About the author', 'ci_theme' ); ?></h5>
									<h6><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'nicename' ) ); ?>"><?php echo get_the_author_meta( 'display_name' ); ?></a></h6>

									<?php the_author_meta( 'description' ); ?>
								</div>
							</div>
						<?php endif; ?>
					</article>
				<?php endwhile; endif; ?>

				<?php if ( ci_setting( 'related_posts_enable' ) == 'on' ) : ?>
					<?php $related = ci_get_related_posts( get_the_ID(), 2 ); ?>
					<?php if ( $related->have_posts() ) : ?>
						<section class="related">
							<h2 class="section-title"><?php ci_e_setting( 'related_posts_text' ); ?></h2>

							<div class="row">
								<?php while ( $related->have_posts() ) : $related->the_post(); ?>
									<div class="col-sm-6">
										<?php get_template_part( 'listing', get_post_type() ); ?>
									</div>
								<?php endwhile; ?>
							</div>
						</section>
					<?php endif; wp_reset_postdata(); ?>

				<?php endif; // 'related_posts_enable' ?>

				<?php comments_template(); ?>
			</div>

			<div class="col-md-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>