<?php
/*
* Template Name: Post Archives
*/
?>

<?php get_header(); ?>

<main class="main">
	<div class="container">
		<div class="row">
			<div class="col-md-8">
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
					<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry') ; ?>>
						<?php get_template_part( 'inc_section_titles' ); ?>

						<?php if ( ci_has_image_to_show() ) : ?>
							<figure class="entry-thumb">
								<a data-rel="prettyPhoto" href="<?php echo ci_get_featured_image_src('large'); ?>">
									<?php ci_the_post_thumbnail(); ?>
								</a>
							</figure>
						<?php endif; ?>

						<div class="entry-content">
							<?php the_content(); ?>
							<?php
								$r = new WP_Query ( array(
									'ignore_sticky_posts' => 1,
									'showposts'           => ci_setting( 'archive_no' )
								) );
							?>
							<h3 class="hdr"><?php _e( 'Latest Posts', 'ci_theme' ); ?></h3>
							<ul class="lst archive">
								<?php while ( $r->have_posts() ) : $r->the_post(); ?>
									<li><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'ci_theme' ), get_the_title() ) ); ?>"><?php the_title(); ?></a> - <?php echo get_the_date(); ?><?php the_excerpt(); ?></li>
								<?php endwhile; wp_reset_postdata(); ?>
							</ul>

							<?php if ( ci_setting( 'archive_week' ) == 'enabled' ): ?>
								<h3 class="hdr"><?php _e( 'Weekly Archive', 'ci_theme' ); ?></h3>
								<ul class="lst archive"><?php wp_get_archives( 'type=weekly&show_post_count=1' ); ?></ul>
							<?php endif; ?>

							<?php if ( ci_setting( 'archive_month' ) == 'enabled' ): ?>
								<h3 class="hdr"><?php _e( 'Monthly Archive', 'ci_theme' ); ?></h3>
								<ul class="lst archive"><?php wp_get_archives( 'type=monthly&show_post_count=1' ); ?></ul>
							<?php endif; ?>

							<?php if ( ci_setting( 'archive_year' ) == 'enabled' ): ?>
								<h3 class="hdr"><?php _e( 'Yearly Archive', 'ci_theme' ); ?></h3>
								<ul class="lst archive"><?php wp_get_archives( 'type=yearly&show_post_count=1' ); ?></ul>
							<?php endif; ?>

						</div>
					</article>
				<?php endwhile; endif; ?>

				<?php comments_template(); ?>
			</div>

			<div class="col-md-4">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>

<?php get_footer(); ?>