<?php
/*
 * Template Name: Contact Template
 */
?>

<?php get_header(); ?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<main class="main">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<h1 class="section-title"><?php the_title(); ?></h1>
				</div>
			</div>
		</div>

		<?php
			$lat         = get_post_meta( get_the_ID(), 'contact_map_lat', true );
			$lon         = get_post_meta( get_the_ID(), 'contact_map_lon', true );
			$map_title   = get_post_meta( get_the_ID(), 'contact_map_title', true );
			$map_tooltip = get_post_meta( get_the_ID(), 'contact_map_tooltip', true );
		?>
		<?php if( !empty( $lat ) && !empty( $lon ) ): ?>
			<div id="map" data-lat="<?php echo esc_attr( $lat ); ?>" data-lng="<?php echo esc_attr( $lon ); ?>" data-tooltip-txt="<?php echo esc_attr( $map_tooltip ); ?>" title="<?php echo esc_attr( $map_title ); ?>"></div>
		<?php endif; ?>

		<div class="container">
			<div class="row">
				<div class="col-md-8">
					<div class="entry-content">
						<?php the_content(); ?>
					</div>
				</div>

				<div class="col-md-4">
					<div class="sidebar nopad">
						<?php dynamic_sidebar('contact-sidebar'); ?>
					</div>
				</div>
			</div>
		</div>
	</main>
<?php endwhile; endif; ?>

<?php get_footer(); ?>